GET/v1/status_pages/{status_page_id}/incidents

List all incidents

Requires STATUS_PAGES:READ; EDIT also grants READ. Session cookies are accepted only when no bearer credential is supplied.

Security: Bearer Auth

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

Header parameters

X-OnlineOrNot-Organisation:stringoptional
Public organization ID to select from an OAuth grant. Required for grants authorizing multiple organizations. Omit for single-organization grants and API tokens.

Path parameters

status_page_id:string
Status Page ID

Query parameters

page:integeroptional
Page number of paginated results, starting at 1.
Default: 1
per_page:integeroptional
Number of items per page. Defaults to 20. Continue requesting subsequent pages until the accumulated item count reaches result_info.total_count or a page is empty.
Default: 20
search:stringoptional
Search term to filter results.

Responses

StatusMeaningDescription
200OKReturns a list of incidents for a status page. May also return a canonical failure envelope with success: false at HTTP200.
400Bad RequestInvalid request
401UnauthorizedMissing or invalid credentials
403ForbiddenInsufficient permissions
500Internal Server ErrorInternal Server Error

Response Schema

success:boolean
false
result:null
errors:object[]
messages:[any]

Request

GET
/v1/status_pages/{status_page_id}/incidents
curl --request GET \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}' \
  --header 'X-OnlineOrNot-Organisation: string'

Response

{
  "result": [
    {
      "id": "a1b2c3d4",
      "title": "API is inaccessible",
      "impact": "MAJOR_OUTAGE",
      "started": "2021-01-01T00:00:00.000Z",
      "ended": "2021-02-01T00:00:00.000Z",
      "created_at": "2021-01-01T00:00:00.000Z",
      "updated_at": "2021-02-01T00:00:00.000Z",
      "latest_update": {
        "id": "upd123",
        "status": "INVESTIGATING",
        "date_happened": "2021-01-01T00:00:00.000Z"
      },
      "scheduled_maintenance": {
        "id": "sm123",
        "start_date": "2021-01-01T00:00:00.000Z",
        "duration_minutes": 60,
        "notify_subscribers_at_start": true,
        "notify_subscribers_at_end": true
      }
    }
  ],
  "result_info": {
    "page": 1,
    "per_page": 20,
    "count": 1,
    "total_count": 1
  },
  "success": true,
  "errors": [],
  "messages": []
}

POST/v1/status_pages/{status_page_id}/incidents

Create an incident

Requires STATUS_PAGES:EDIT; EDIT also grants READ. Session cookies are accepted only when no bearer credential is supplied.

Security: Bearer Auth

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

Header parameters

X-OnlineOrNot-Organisation:stringoptional
Public organization ID to select from an OAuth grant. Required for grants authorizing multiple organizations. Omit for single-organization grants and API tokens.

Path parameters

status_page_id:string
Status Page ID

Body parameters

title:string
a title for the incident
description:string
a description of the incident
status:string
The current status of the incident
Accepted values: "INVESTIGATING" | "IDENTIFIED" | "MONITORING" | "RESOLVED" | "UPDATE"
components:object[]optional
Components affected by this incident with their status
notify_subscribers:booleanoptional
Whether to notify status page subscribers
Default: true

Responses

StatusMeaningDescription
201CreatedReturns the newly created status page incident
400Bad RequestInvalid request
401UnauthorizedMissing or invalid credentials
403ForbiddenInsufficient permissions
500Internal Server ErrorInternal Server Error

Response Schema

result:any
*anonymous*:anyoptional
*anonymous*:objectoptional
*anonymous*:objectoptional
*anonymous*:objectoptional
success:boolean
Whether the API call was successful
errors:object[]
messages:object[]

Request

POST
/v1/status_pages/{status_page_id}/incidents
curl --request POST \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}' \
  --header 'Content-Type: application/json' \
  --header 'X-OnlineOrNot-Organisation: string' \
  --data '{"title":"API is inaccessible","description":"We are currently investigating the issue","status":"INVESTIGATING","components":[{"id":"a1b2c3d4","status":"MAJOR_OUTAGE"}],"notify_subscribers":true}'

Response

{
  "result": {
    "id": "a1b2c3d4",
    "title": "API is inaccessible",
    "impact": "MAJOR_OUTAGE",
    "started": "2021-01-01T00:00:00.000Z",
    "ended": "2021-02-01T00:00:00.000Z",
    "created_at": "2021-01-01T00:00:00.000Z",
    "updated_at": "2021-02-01T00:00:00.000Z",
    "latest_update": {
      "id": "upd123",
      "status": "INVESTIGATING",
      "date_happened": "2021-01-01T00:00:00.000Z"
    },
    "scheduled_maintenance": {
      "id": "sm123",
      "start_date": "2021-01-01T00:00:00.000Z",
      "duration_minutes": 60,
      "notify_subscribers_at_start": true,
      "notify_subscribers_at_end": true
    },
    "components": [
      {
        "id": "comp123",
        "name": "API Server"
      }
    ],
    "updates": [
      {
        "id": "e5f6g7h8",
        "incident_id": "a1b2c3d4",
        "status": "INVESTIGATING",
        "description": "We are investigating reports of connectivity issues",
        "date_happened": "2021-01-01T00:00:00.000Z",
        "created_at": "2021-01-01T00:00:00.000Z",
        "updated_at": "2021-01-01T00:00:00.000Z",
        "components": [
          {
            "id": "comp123",
            "name": "API Server",
            "old_status": "OPERATIONAL",
            "new_status": "MAJOR_OUTAGE"
          }
        ]
      }
    ]
  },
  "success": true,
  "errors": [],
  "messages": []
}

GET/v1/status_pages/{status_page_id}/incidents/{status_page_incident_id}

Retrieve an incident

Requires STATUS_PAGES:READ; EDIT also grants READ. Session cookies are accepted only when no bearer credential is supplied.

Security: Bearer Auth

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

Header parameters

X-OnlineOrNot-Organisation:stringoptional
Public organization ID to select from an OAuth grant. Required for grants authorizing multiple organizations. Omit for single-organization grants and API tokens.

Path parameters

status_page_id:string
Status Page ID
status_page_incident_id:string
Status Page Incident ID

Responses

StatusMeaningDescription
200OKReturns a status page incident
400Bad RequestInvalid request
401UnauthorizedMissing or invalid credentials
403ForbiddenInsufficient permissions
404Not FoundResource not found, unavailable, or rejected by the domain operation
500Internal Server ErrorInternal Server Error

Response Schema

result:any
*anonymous*:anyoptional
*anonymous*:objectoptional
*anonymous*:objectoptional
*anonymous*:objectoptional
success:boolean
Whether the API call was successful
errors:object[]
messages:object[]

Request

GET
/v1/status_pages/{status_page_id}/incidents/{status_page_incident_id}
curl --request GET \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents/a1b2c3d4 \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}' \
  --header 'X-OnlineOrNot-Organisation: string'

Response

{
  "result": {
    "id": "a1b2c3d4",
    "title": "API is inaccessible",
    "impact": "MAJOR_OUTAGE",
    "started": "2021-01-01T00:00:00.000Z",
    "ended": "2021-02-01T00:00:00.000Z",
    "created_at": "2021-01-01T00:00:00.000Z",
    "updated_at": "2021-02-01T00:00:00.000Z",
    "latest_update": {
      "id": "upd123",
      "status": "INVESTIGATING",
      "date_happened": "2021-01-01T00:00:00.000Z"
    },
    "scheduled_maintenance": {
      "id": "sm123",
      "start_date": "2021-01-01T00:00:00.000Z",
      "duration_minutes": 60,
      "notify_subscribers_at_start": true,
      "notify_subscribers_at_end": true
    },
    "components": [
      {
        "id": "comp123",
        "name": "API Server"
      }
    ],
    "updates": [
      {
        "id": "e5f6g7h8",
        "incident_id": "a1b2c3d4",
        "status": "INVESTIGATING",
        "description": "We are investigating reports of connectivity issues",
        "date_happened": "2021-01-01T00:00:00.000Z",
        "created_at": "2021-01-01T00:00:00.000Z",
        "updated_at": "2021-01-01T00:00:00.000Z",
        "components": [
          {
            "id": "comp123",
            "name": "API Server",
            "old_status": "OPERATIONAL",
            "new_status": "MAJOR_OUTAGE"
          }
        ]
      }
    ]
  },
  "success": true,
  "errors": [],
  "messages": []
}

PATCH/v1/status_pages/{status_page_id}/incidents/{status_page_incident_id}

Update an incident

Requires STATUS_PAGES:EDIT; EDIT also grants READ. Session cookies are accepted only when no bearer credential is supplied.

Security: Bearer Auth

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

Header parameters

X-OnlineOrNot-Organisation:stringoptional
Public organization ID to select from an OAuth grant. Required for grants authorizing multiple organizations. Omit for single-organization grants and API tokens.

Path parameters

status_page_id:string
Status Page ID
status_page_incident_id:string
Status Page Incident ID

Body parameters

title:string
a title for the incident
impact:string
Impact of the incident
Accepted values: "MAJOR_OUTAGE" | "PARTIAL_OUTAGE" | "DEGRADED_PERFORMANCE" | "NO_IMPACT" | "MAINTENANCE"

Responses

StatusMeaningDescription
200OKReturns the updated status page incident
400Bad RequestInvalid request
401UnauthorizedMissing or invalid credentials
403ForbiddenInsufficient permissions
404Not FoundResource not found, unavailable, or rejected by the domain operation
500Internal Server ErrorInternal Server Error

Response Schema

result:any
*anonymous*:anyoptional
*anonymous*:objectoptional
*anonymous*:objectoptional
*anonymous*:objectoptional
success:boolean
Whether the API call was successful
errors:object[]
messages:object[]

Request

PATCH
/v1/status_pages/{status_page_id}/incidents/{status_page_incident_id}
curl --request PATCH \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents/a1b2c3d4 \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}' \
  --header 'Content-Type: application/json' \
  --header 'X-OnlineOrNot-Organisation: string' \
  --data '{"title":"API is inaccessible","impact":"MAJOR_OUTAGE"}'

Response

{
  "result": {
    "id": "a1b2c3d4",
    "title": "API is inaccessible",
    "impact": "MAJOR_OUTAGE",
    "started": "2021-01-01T00:00:00.000Z",
    "ended": "2021-02-01T00:00:00.000Z",
    "created_at": "2021-01-01T00:00:00.000Z",
    "updated_at": "2021-02-01T00:00:00.000Z",
    "latest_update": {
      "id": "upd123",
      "status": "INVESTIGATING",
      "date_happened": "2021-01-01T00:00:00.000Z"
    },
    "scheduled_maintenance": {
      "id": "sm123",
      "start_date": "2021-01-01T00:00:00.000Z",
      "duration_minutes": 60,
      "notify_subscribers_at_start": true,
      "notify_subscribers_at_end": true
    },
    "components": [
      {
        "id": "comp123",
        "name": "API Server"
      }
    ],
    "updates": [
      {
        "id": "e5f6g7h8",
        "incident_id": "a1b2c3d4",
        "status": "INVESTIGATING",
        "description": "We are investigating reports of connectivity issues",
        "date_happened": "2021-01-01T00:00:00.000Z",
        "created_at": "2021-01-01T00:00:00.000Z",
        "updated_at": "2021-01-01T00:00:00.000Z",
        "components": [
          {
            "id": "comp123",
            "name": "API Server",
            "old_status": "OPERATIONAL",
            "new_status": "MAJOR_OUTAGE"
          }
        ]
      }
    ]
  },
  "success": true,
  "errors": [],
  "messages": []
}

DELETE/v1/status_pages/{status_page_id}/incidents/{status_page_incident_id}

Delete an incident

Requires STATUS_PAGES:EDIT; EDIT also grants READ. Session cookies are accepted only when no bearer credential is supplied.

Security: Bearer Auth

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

Header parameters

X-OnlineOrNot-Organisation:stringoptional
Public organization ID to select from an OAuth grant. Required for grants authorizing multiple organizations. Omit for single-organization grants and API tokens.

Path parameters

status_page_id:string
Status Page ID
status_page_incident_id:string
Status Page Incident ID

Responses

StatusMeaningDescription
200OKReturns the deleted incident's ID
400Bad RequestInvalid request
401UnauthorizedMissing or invalid credentials
403ForbiddenInsufficient permissions
404Not FoundResource not found, unavailable, or rejected by the domain operation
500Internal Server ErrorInternal Server Error

Response Schema

result:object
success:boolean
Whether the API call was successful
errors:object[]
messages:object[]

Request

DELETE
/v1/status_pages/{status_page_id}/incidents/{status_page_incident_id}
curl --request DELETE \
  --url https://api.onlineornot.com/v1/status_pages/a1b2c3d4/incidents/a1b2c3d4 \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer {access-token}' \
  --header 'X-OnlineOrNot-Organisation: string'

Response

{
  "result": {
    "id": "a1b2c3d4"
  },
  "success": true,
  "errors": [],
  "messages": []
}

Was this page helpful?